/*
 * Copyright
 *   2009 axYus - www.axyus.com
 *   2009 C.Marchand - christophe.marchand@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package fr.gouv.finances.dgfip.xemelios.web.gwt.client.dto;

import com.google.gwt.user.client.rpc.IsSerializable;

/**
 *
 * @author chm
 */
public class ExportChampDTO implements IsSerializable {

    private String id=null, libelle=null;
    private boolean editable=false, selectionne=false, identifiant=false;
    private ExportElementDTO parent=null;

    public ExportChampDTO() {
        super();
    }
    public ExportChampDTO(String id, String libelle, boolean editable, boolean selectionne, boolean identifiant) {
        this();
        this.id=id;
        this.libelle=libelle;
        this.editable=editable;
        this.selectionne=selectionne;
        this.identifiant=identifiant;
    }

    public boolean isEditable() {
        return editable;
    }

    public void setEditable(boolean editable) {
        this.editable = editable;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public boolean isIdentifiant() {
        return identifiant;
    }

    public void setIdentifiant(boolean identifiant) {
        this.identifiant = identifiant;
    }

    public String getLibelle() {
        return libelle;
    }

    public void setLibelle(String libelle) {
        this.libelle = libelle;
    }

    public boolean isSelectionne() {
        return selectionne;
    }

    public void setSelectionne(boolean selectionne) {
        this.selectionne = selectionne;
    }

    public ExportElementDTO getParent() {
        return parent;
    }

    public void setParent(ExportElementDTO parent) {
        this.parent = parent;
    }
    
}
